Subject: Re: [QUERY] How to compete out poison ivy
From: [email-masked] (Carl Strohmenger (HSC))
Date: 20 Jul 1994 14:42:25 GMT
Newsgroups: bionet.plants,sci.bio.ecology

Christopher Kashinath Patil ([email-masked]) wrote:
: A friend of mine owns some beautiful land in Virginia which happens to be

Burn it followed by planting or seeding of a competing species. Contact 
your local agriculture extension service office for advice on the burning 
procedure. Perhaps your county parks land managers have a burn program or 
perhaps the state division of forestry. In any event, for safety and 
legality, have a professional do it.
We have many controlled burns in Florida by various agencies. It always 
requires permits, etc. and almost always is good for the site.
Virginia creeper, Parthenocissus quinquefolia, likes the same sites as 
poison ivy in various Florida ecosystems